<?php

/* connect_database  
   Cette fonction retourne un objet PDO représentant
   une connextion à la base de données utilisées par
   le blog. */
function connect_database()
{
  $res = new PDO("mysql:dbname=VOTREBASE;host=ADRESSEDEVOTREBASE", "LOGIN", "PASSWORD");
  // Note : ce serait mieux d'utiliser try/catch pour tester la validiter de la connexion
  // mais nous ne l'avons pas vu. Se référer à la documentation pour les plus curieux !
  if ($res==null) die("[connect_database] Echec de connexion à la base de données.");
  return $res;
}

/* getAllTweets 

   Cette fonction retourne tous les messages enregistrés dans
   la bdd. Ces données sont retournées sous la forme d'un tableau
   de tableaux associatifs, chacun correspondant à une ligne de
   la table Blog dans la bdd. Les clés pour accéder aux contenus
   sont égales aux noms des colonnes de la table Blog.
*/
function getAllTweets()
{
  $cnx = connect_database();
  $sql = "select * from Blog";
  $res = $cnx->query( $sql );
  if ($res==false) die("[getAllTweets] Echec de la récupération des messages.");
  $msg = $res->fetchAll( PDO::FETCH_ASSOC ); 
  return $msg;
}

/* saveTweet
    Enregistre une message dans la bdd, avec une image (nom du fichier) ou non ($picture peut être vide)
*/
function saveTweet($pseudo, $msg, $picture){
  $cnx = connect_database();
  // note : addslashes (https://www.php.net/manual/fr/function.addslashes.php)
  // pour éviter qu'un guillement double ou simple soit interprété comme la fin de la chaîne $sql
  $pseudo = addslashes($pseudo);
  $msg = addslashes($msg);
  $sql = "insert into Blog (qui, quand, quoi, image) values ('$pseudo', now(), '$msg', '$picture')";
  $cnx->query( $sql );
}

/* deleteTweet
   Supprime le message d'identifiant $id de la bdd.
   Note : si une image est associée au message, son fichier n'est pas effacé.
*/
function deleteTweet($id){
  $cnx = connect_database();
  $sql = "delete from Blog where id=$id";
  $cnx->query( $sql );
}


?>